Shell text with wrong size in mutter 3.36.4-0ubuntu0.20.04.2 (mostly on Nvidia)

Bug #1892440 reported by Cristiano Fraga G. Nunes
686
This bug affects 125 people
Affects Status Importance Assigned to Milestone
mutter (Ubuntu)
Medium
Marco Trevisan (Treviño)
Focal
Medium
Marco Trevisan (Treviño)
Groovy
Medium
Marco Trevisan (Treviño)

Bug Description

[ Impact ]

GNOME Shell starts with a wrong text size

[ Test case ]

In a terminal run:
  - Xephyr :2

In another one:
  - env DISPLAY=:2 dbus-run-session gnome-shell --x11

The shell should run in the embedded window, with the correct text size, running it again (without closing Xephyr window, but stopping the shell execution) should not bigger than expected.

-- Other test case (hw dependant)

- Login, ensure that the Shell text size matches the configured one.

[ Regression potential ]

Initial UI scaling when fractional scaling is enabled is wrong.

[ Workaround ]

Run on startup:
 - gsettings set org.gnome.desktop.interface scaling-factor \
     $(gsettings get org.gnome.desktop.interface scaling-factor | cut -d' ' -f2)

---

See also bug 1892521.

The package mutter version (3.36.4-0ubuntu0.20.04.2) for Ubuntu 20.04 causes small text in GNOME Shell menu with NVIDIA cards.

With a previous version (3.36.4-0ubuntu0.20.04.1) all works fine. The problem is after update to the (3.36.4-0ubuntu0.20.04.2).
---
ProblemType: Bug
ApportVersion: 2.20.11-0ubuntu27.8
Architecture: amd64
CasperMD5CheckResult: skip
CurrentDesktop: ubuntu:GNOMEDistroRelease: Ubuntu 20.04
InstallationDate: Installed on 2020-08-18 (2 days ago)
InstallationMedia: Ubuntu 20.04.1 2020.08.15 LTS "Custom Focal Fossa" (20200815)
NonfreeKernelModules: nvidia_modeset nvidia
Package: mutter 3.36.4-0ubuntu0.20.04.2
PackageArchitecture: amd64
ProcVersionSignature: Ubuntu 5.4.0-42.46-generic 5.4.44
Tags: focal
Uname: Linux 5.4.0-42-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin lxd plugdev sambashare sudo
_MarkForUpload: True
modified.conffile..etc.default.apport:
 # set this to 0 to disable apport, or to 1 to enable it
 # you can temporarily override this with
 # sudo service apport start force_start=1
 enabled=0
mtime.conffile..etc.default.apport: 2020-08-15T17:44:36

Revision history for this message
Cristiano Fraga G. Nunes (cfgnunes) wrote : Dependencies.txt

apport information

tags: added: apport-collected focal
description: updated
Revision history for this message
Cristiano Fraga G. Nunes (cfgnunes) wrote : ProcCpuinfoMinimal.txt

apport information

Revision history for this message
Cristiano Fraga G. Nunes (cfgnunes) wrote : ProcEnviron.txt

apport information

tags: added: nvidia xrandr-scaling
Revision history for this message
Cristiano Fraga G. Nunes (cfgnunes) wrote : Re: [focal] [nvidia] New patch causes small text in Ubuntu 20.04 with nvidia cards

After update to the mutter version (3.36.4-0ubuntu0.20.04.2) the fonts were smaller (top menu and desktop menu) from Gnome Shell.

I have two computers here, the bug occur with only the computer with NVIDIA card.

Revision history for this message
Cristiano Fraga G. Nunes (cfgnunes) wrote :

A workaround is set the "Fractional Scaling" to other value and back it to 100%, to fix the font sizes. But after a reboot, all fonts still smaller again.

Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in mutter (Ubuntu):
status: New → Confirmed
tags: added: regression-update rls-ff-incoming
Changed in mutter (Ubuntu):
importance: Undecided → Medium
summary: - [focal] [nvidia] New patch causes small text in Ubuntu 20.04 with nvidia
+ [focal] [nvidia] Mutter 3.36.4 small text in Ubuntu 20.04 with nvidia
cards
summary: - [focal] [nvidia] Mutter 3.36.4 small text in Ubuntu 20.04 with nvidia
- cards
+ [focal] [nvidia] Mutter 3.36.4-0ubuntu0.20.04.2 small text in Ubuntu
+ 20.04 with nvidia cards
Revision history for this message
Marco Giannini (marco-giannini) wrote : Re: [focal] [nvidia] Mutter 3.36.4-0ubuntu0.20.04.2 small text in Ubuntu 20.04 with nvidia cards

Same problema with same workaround

Revision history for this message
Eugene Romanenko (eros2) wrote :

Not only nvidia, I have this issue on intel laptop. See my comment here - https://bugs.launchpad.net/ubuntu/+source/mutter/+bug/1887998/comments/10

Revision history for this message
Eugene Romanenko (eros2) wrote :

Cristiano Nunes (cfgnunes) wrote:
"I have two computers here, the bug occur with only the computer with NVIDIA card."

I have same issue on intel laptop with intel graphics.
But I not use gdm, I use lightdm and x11 session.

Maybe using gdm hides this issue on non-nvidia as gdm starts in wayland mode and then smoothly starts gnome shell.

But with nvidia gdm (or lightdm on intel in my case) starts with x11 mode and then start separate ubuntu x11 session.

Changed in mutter (Ubuntu):
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
Revision history for this message
Cristiano Fraga G. Nunes (cfgnunes) wrote :

Marco Trevisan will save us! Grazie mille! ;)

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

Possibly also the same issue: bug 1892521.

Revision history for this message
Sujit Kumar (therealsujitk) wrote :

For now you can easily fix this without any third-party applications by following these instructions: https://askubuntu.com/a/1269431/1119550

Revision history for this message
Cristiano Fraga G. Nunes (cfgnunes) wrote :

Hi, Sujit Kumar. The solution of disabling NVIDIA drivers is not so right, because I need to use my hardware completely (use the NVIDIA hardware to compute complex matrices in my work).

But thanks for your reply.

Revision history for this message
Dave Goldsbrough (daveg-k) wrote :

I have low vision and I thought my vision was just deteriorating!
I happened to boot into 18.04 and even after updating it I noticed my fonts in 18.04 were much better on the same hardware. It is most noticeable in the pull-down panels.
In 20.04, sure enough if I change the scaling factor from 1.25 to 1.30 the font size is increased and if I then decrease back to 1.25 the font size remains at the higher setting. This high setting does not withstand a re-boot. I am left to conclude, reducing the scaling factor no longer works and at boot, no notice is taken of the setting in place at the last power off.

I am using Dash-to-Panel Gnome Extension, Intel HD Graphics, Gnome 3.36.3 X11 Windowing System 20.04.1 LTS

Revision history for this message
msznapka (bigmartin) wrote :

I have Lenovo P52 with Nvidia GP107GLM running on Ubuntu 20.04.1 LTS and after mentioned update my Gnome desktop is weird - top panel font and all desktop icons font is scaled up to 200%.

Setting Fractional Scaling in Ubuntu settings doesn't help.

Revision history for this message
modolo (modolo) wrote :

Hi!

I have the same problem and it all started after the last update of the mutter package!

dpkg -l | grep mutter | awk '{print $2,$3}'
gir1.2-mutter-6:amd64 3.36.4-0ubuntu0.20.04.2
libmutter-6-0:amd64 3.36.4-0ubuntu0.20.04.2
mutter 3.36.4-0ubuntu0.20.04.2
mutter-common 3.36.4-0ubuntu0.20.04.2

lsb_release -a
LSB Version: core-11.1.0ubuntu2-noarch:printing-11.1.0ubuntu2-noarch:security-11.1.0ubuntu2-noarch
Distributor ID: Ubuntu
Description: Ubuntu 20.04.1 LTS
Release: 20.04
Codename: focal

dpkg -l | grep -i nvidia | awk '{print $2,$3}'
libnvidia-cfg1-440:amd64 440.100-0ubuntu0.20.04.1
libnvidia-common-440 440.100-0ubuntu0.20.04.1
libnvidia-compute-440:amd64 440.100-0ubuntu0.20.04.1
libnvidia-compute-440:i386 440.100-0ubuntu0.20.04.1
libnvidia-decode-440:amd64 440.100-0ubuntu0.20.04.1
libnvidia-decode-440:i386 440.100-0ubuntu0.20.04.1
libnvidia-encode-440:amd64 440.100-0ubuntu0.20.04.1
libnvidia-encode-440:i386 440.100-0ubuntu0.20.04.1
libnvidia-extra-440:amd64 440.100-0ubuntu0.20.04.1
libnvidia-fbc1-440:amd64 440.100-0ubuntu0.20.04.1
libnvidia-fbc1-440:i386 440.100-0ubuntu0.20.04.1
libnvidia-gl-440:amd64 440.100-0ubuntu0.20.04.1
libnvidia-gl-440:i386 440.100-0ubuntu0.20.04.1
libnvidia-ifr1-440:amd64 440.100-0ubuntu0.20.04.1
libnvidia-ifr1-440:i386 440.100-0ubuntu0.20.04.1
nvidia-compute-utils-440 440.100-0ubuntu0.20.04.1
nvidia-dkms-440 440.100-0ubuntu0.20.04.1
nvidia-driver-440 440.100-0ubuntu0.20.04.1
nvidia-kernel-common-440 440.100-0ubuntu0.20.04.1
nvidia-kernel-source-440 440.100-0ubuntu0.20.04.1
nvidia-prime 0.8.14
nvidia-settings 440.82-0ubuntu0.20.04.1
nvidia-utils-440 440.100-0ubuntu0.20.04.1
screen-resolution-extra 0.18build1
xserver-xorg-video-nvidia-440 440.100-0ubuntu0.20.04.1

I'm waiting for the correction!

Thanks,
Marcelo Módolo

Revision history for this message
Konrad (konradmb) wrote :

It affects Intel integrated GPUs too.

You can downgrade libmutter package temporarily as a workaround:

sudo apt install libmutter-6-0=3.36.1-3ubuntu3 gir1.2-mutter-6=3.36.1-3ubuntu3
sudo apt-mark hold libmutter-6-0

Remember to unhold after fix comes out!

Revision history for this message
Tim Cooper (timjoncooper) wrote :

Also struggling since the latest mutter and/or gnome-shell update (3.36.4). Font scaling is mismatched throughout the entire GUI. It's larger than normal in the menu-bar, while it's smaller/squished in terminal. This makes it difficult to fix. If I scale down to 0.9 to fix the menu bar, text elsewhere is simply too small.

summary: - [focal] [nvidia] Mutter 3.36.4-0ubuntu0.20.04.2 small text in Ubuntu
- 20.04 with nvidia cards
+ [focal] Mutter 3.36.4-0ubuntu0.20.04.2 small text in Ubuntu 20.04 with
+ nvidia cards
Revision history for this message
Tim Cooper (timjoncooper) wrote : Re: [focal] Mutter 3.36.4-0ubuntu0.20.04.2 small text in Ubuntu 20.04 with nvidia cards

I should add, I don't have an NVIDIA card - intel integrated HD graphics. As it stands, GNOME is a mess with differential scaling everywhere.... some parts are smaller, some are larger (notably the menu bar).

summary: - [focal] Mutter 3.36.4-0ubuntu0.20.04.2 small text in Ubuntu 20.04 with
- nvidia cards
+ [focal] Mutter 3.36.4-0ubuntu0.20.04.2 small text in Ubuntu 20.04
Revision history for this message
Adrian Barbuio (oiubrab) wrote : Re: [focal] Mutter 3.36.4-0ubuntu0.20.04.2 small text in Ubuntu 20.04

Thankyou Konrad, your comment #17, has solved this issue for me. I did not hold the package at 6-0, though. Personal preference, but I feel that accidentally updating and breaking it again is a simple fix, while having a hold on a package that you have to remember to unhold could sit in the background for ages.

Revision history for this message
DimitrisC (dimitrisucy) wrote :

This has been fixed in Pop OS about a month ago so It should be just a matter of time an official fix makes its way to us on Ubuntu.

For reference: https://github.com/pop-os/mutter/pull/7

summary: - [focal] Mutter 3.36.4-0ubuntu0.20.04.2 small text in Ubuntu 20.04
+ Shell text is too small in mutter 3.36.4-0ubuntu0.20.04.2
description: updated
Revision history for this message
Nazarii Ritter (nazariy-ritter) wrote : Re: Shell text is too small in mutter 3.36.4-0ubuntu0.20.04.2

On my laptop, the fonts get larger each time. Temporary workaround which helps me is changing the font scale in Tweaks tool (Fractional Scaling doesn't help).

Ubuntu 20.04.1 LTS
Intel® Core™ i7-3630QM CPU @ 2.40GHz × 8
Quadro K1000M/PCIe/SSE2

Revision history for this message
Roland Roland (cyrin) wrote :

Same here. Ubuntu 20.04 laptop HP 8540p.

Revision history for this message
nima mamba (nima2020) wrote :

I'm also having this problem, changing the gnome tweaks font scale fixes but only until gnome shell restarts. I found @konrad solution to work, reverting back to libmutter-6 seemed to have fixed not only scaling but it also seemed to make the animations smoother.

Revision history for this message
Adrian Barbuio (oiubrab) wrote :

I did just want to add that it seems the update has affected the mouse as well. Transitions between windows seems to occasionally disable the mouse click momentarily. This is an issue in dragging and dropping, which will occasionally cut out or display unpredictable behaviour. I am fairly certain this isn't an issue with my mouse and the issue emerged just as this update occured.

Changed in mutter (Ubuntu Focal):
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
status: New → Confirmed
importance: Undecided → Medium
tags: removed: rls-ff-incoming
Revision history for this message
Telework Inc. (teleworkinc) wrote :

Have held back Mutter for now in the manner provided in comment #17. Following for updates.

Revision history for this message
Anthony Chen (slightlyskepticalpotat) wrote :

I have AMD graphics, and I'm affected by this too.

Ubuntu 20.04.1 LTS
AMD Ryzen 5 3500U
Radeon Vega 8

Revision history for this message
Ivan (packetracer) wrote :

Same issue here.

New computer with freshly installed Ubuntu on empty SSD

Ubuntu 20.04.1 LTS
AMD Ryzen 5
Nvidia Geforce GT 710

Revision history for this message
schollsky (schollsky) wrote :

I see the same problem, running AMD GPU RX580 and X11 (problem doesn't seem to apper in Wayland).

Revision history for this message
vervelover (alessiopangos) wrote :

Not fixing this bug for so long, really means ubuntu doesn't care about the desktop anymore

Revision history for this message
Telework Inc. (teleworkinc) wrote :

vervelover is honestly right, this is pretty embarrassing.

Revision history for this message
Miroslav Zaťko (mirec-z) wrote :

Extremely annoying bug. I need to set "Fonts"/"Scaling Factor" in Gnome Tweaks to 0.99 and back to 1.00 every time I re-/start my P52

Revision history for this message
Raoul Verveer (lazy-r) wrote :

There is an easy workaround to this, as mentioned in #17 (https://bugs.launchpad.net/ubuntu/+source/mutter/+bug/1892440/comments/17)
Just downgrade libmutter for the time being.
For anyone complaining about how long this takes to resolve: it hasn't even beem three weeks. Ubuntu is an ooen source project that you are using for free. If you think it takes too long, take a look at the source code and fix it yourself.

Revision history for this message
xajer12385 (xajer12385) wrote :

Workaround as mentioned in #17 works fine for me.

> NV118 / Mesa Intel® UHD Graphics 620 (KBL GT2)

Revision history for this message
schollsky (schollsky) wrote : Re: [Bug 1892440] Re: Shell text is too small in mutter 3.36.4-0ubuntu0.20.04.2

This tendency is childish.

If you want warranted security with fast(?) bug fixing, look out for a
proprietary OS solution or better contribute to Ubuntu by coding support.

Please stop behaving like a child:

https://en.wikipedia.org/wiki/There_ain't_no_such_thing_as_a_free_lunch

If you want freedom of choice, you should better get along with the
implications.

Best regards

Stefan

Am 09.09.20 um 08:32 schrieb Telework Inc.:
> vervelover is honestly right, this is pretty embarrassing.
>

--
stefan.czinczoll[at]arcor.de
https://schollsky.jimdofree.com

Revision history for this message
Telework Inc. (teleworkinc) wrote :

That’s an extremely limited perspective, Stefan. My point is that ideally,
nobody would push a version of mutter with a massive bug that breaks
desktops around the world in the first place.

As I said, it is extremely embarrassing. Defending bad software design is
even more embarrassing. It’s not asking for “free lunch” to say that
packages in the universe repos should be free of critical bugs, I have no
idea what kind of uninspired simpleton would defend a major package staying
broken for several months.

This community sometimes, I swear.

On Wed, Sep 9, 2020 at 10:15 AM schollsky <email address hidden>
wrote:

> This tendency is childish.
>
>
>
> If you want warranted security with fast(?) bug fixing, look out for a
>
> proprietary OS solution or better contribute to Ubuntu by coding support.
>
>
>
> Please stop behaving like a child:
>
>
>
> https://en.wikipedia.org/wiki/There_ain't_no_such_thing_as_a_free_lunch
>
>
>
> If you want freedom of choice, you should better get along with the
>
> implications.
>
>
>
> Best regards
>
>
>
> Stefan
>
>
>
> Am 09.09.20 um 08:32 schrieb Telework Inc.:
>
> > vervelover is honestly right, this is pretty embarrassing.
>
> >
>
>
>
> --
>
> stefan.czinczoll[at]arcor.de
>
> https://schollsky.jimdofree.com
>
>
>
> --
>
> You received this bug notification because you are subscribed to the bug
>
> report.
>
> https://bugs.launchpad.net/bugs/1892440
>
>
>
> Title:
>
> Shell text is too small in mutter 3.36.4-0ubuntu0.20.04.2
>
>
>
> Status in mutter package in Ubuntu:
>
> Confirmed
>
> Status in mutter source package in Focal:
>
> Confirmed
>
>
>
> Bug description:
>
> See also bug 1892521.
>
>
>
> The package mutter version (3.36.4-0ubuntu0.20.04.2) for Ubuntu 20.04
>
> causes small text in GNOME Shell menu with NVIDIA cards.
>
>
>
> With a previous version (3.36.4-0ubuntu0.20.04.1) all works fine. The
> problem is after update to the (3.36.4-0ubuntu0.20.04.2).
>
> ---
>
> ProblemType: Bug
>
> ApportVersion: 2.20.11-0ubuntu27.8
>
> Architecture: amd64
>
> CasperMD5CheckResult: skip
>
> CurrentDesktop: ubuntu:GNOME
>
> DistroRelease: Ubuntu 20.04
>
> InstallationDate: Installed on 2020-08-18 (2 days ago)
>
> InstallationMedia: Ubuntu 20.04.1 2020.08.15 LTS "Custom Focal Fossa"
> (20200815)
>
> NonfreeKernelModules: nvidia_modeset nvidia
>
> Package: mutter 3.36.4-0ubuntu0.20.04.2
>
> PackageArchitecture: amd64
>
> ProcVersionSignature: Ubuntu 5.4.0-42.46-generic 5.4.44
>
> Tags: focal
>
> Uname: Linux 5.4.0-42-generic x86_64
>
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> UserGroups: adm cdrom dip lpadmin lxd plugdev sambashare sudo
>
> _MarkForUpload: True
>
> modified.conffile..etc.default.apport:
>
> # set this to 0 to disable apport, or to 1 to enable it
>
> # you can temporarily override this with
>
> # sudo service apport start force_start=1
>
> enabled=0
>
> mtime.conffile..etc.default.apport: 2020-08-15T17:44:36
>
>
>
> To manage notifications about this bug go to:
>
>
> https://bugs.launchpad.net/ubuntu/+source/mutter/+bug/1892440/+subscriptions
>
>

Revision history for this message
Cristiano Fraga G. Nunes (cfgnunes) wrote : Re: Shell text is too small in mutter 3.36.4-0ubuntu0.20.04.2

Dear Stefan,

This thread is about a bug in "mutter 3.36.4-0ubuntu0.20.04.2". Just it. (not about arguing philosophies).

As it is a bug, it ends up embarrassing people. It's normal.

"Freedom of choice" doesn't mean bad software. It is a wrong idea. Also, Canonical is a company and there are people working there to fix bugs.

In this case, the only person behaving like a child on this thread is you.

Sorry for my sincerity,
Best regards,

Revision history for this message
schollsky (schollsky) wrote : Re: [Bug 1892440] Re: Shell text is too small in mutter 3.36.4-0ubuntu0.20.04.2

Hello Telework Inc. on 09.09.20 um 17:26 you wrote:

> That’s an extremely limited perspective, Stefan. My point is that ideally,
> nobody would push a version of mutter with a massive bug that breaks
> desktops around the world in the first place.

OK, you state it's a massive bug breaking desktops. Is this really true?
Is it a security issue? Are you not able to use the desktop because of
this bug?

IMHO it's just a minor issue causing an annoying graphics design. I even
would never have taken notice of the bug on my system if not a forum
user of https://ubuntuusers.de/ asked for help there. How many users do
experience this bug?

> As I said, it is extremely embarrassing. Defending bad software design is
> even more embarrassing. It’s not asking for “free lunch” to say that
> packages in the universe repos should be free of critical bugs, I have no
> idea what kind of uninspired simpleton would defend a major package staying
> broken for several months.

OK, packages in universe repo should be free of critical bugs. But as we
all know, bugs are phenomena in software engineering, that can occur due
to human nature of programmers. Nobody's perfect thus no human work is
ever perfect. I'm very sure there are good reasons for the delay.

My guess is simply there's not enough manpower in regard to the severity
of the mutter bug. Software engineering is a very time consuming task
and good code doesn't come from heaven.

If you are skilled enough to contribute code, why don't you help but
instead complain?

Best regards,

Stefan

--
stefan.czinczoll[at]arcor.de
https://schollsky.jimdofree.com

Revision history for this message
schollsky (schollsky) wrote :

Hi Cristiano,

on 09.09.20 um 18:47 you wrote:

> This thread is about a bug in "mutter 3.36.4-0ubuntu0.20.04.2". Just it.
> (not about arguing philosophies).

You are partially right.

> As it is a bug, it ends up embarrassing people. It's normal.

Agreed.

> "Freedom of choice" doesn't mean bad software. It is a wrong idea. Also,
> Canonical is a company and there are people working there to fix bugs.

How much did you pay to Canonical for using Ubuntu 20.04? How much are
you willing to pay to Canonical for a fix?

> In this case, the only person behaving like a child on this thread is
> you.
>
> Sorry for my sincerity,

I'm not taking offence. Who takes a dig at someone must be able to take
stick.

Perhaps it's possible to fix mutter faster than Canonical. Why not
crowdfund a fix fast and sell it to Canonical later?

Best regards

Stefan

--
stefan.czinczoll[at]arcor.de
https://schollsky.jimdofree.com

Revision history for this message
Telework Inc. (teleworkinc) wrote : Re: Shell text is too small in mutter 3.36.4-0ubuntu0.20.04.2

[PLEASE SEE COMMENT #17 FOR A WORKAROUND.]

> OK, you state it's a massive bug breaking desktops. Is this really true? Is it a security issue? Are you not able to use the desktop because of this bug?

It's fair enough to point out that it's (probably) not a security bug, but it IS pretty substantial bug in that it affects the entire gnome-shell GUI.

> IMHO it's just a minor issue causing an annoying graphics design. I even would never have taken notice of the bug on my system if not a forum user of https://ubuntuusers.de/ asked for help there. How many users do experience this bug?

Judging by the responses, a lot. It doesn't even seem limited to a specific graphics vendor.

> OK, packages in universe repo should be free of critical bugs.

Thank you, I'm glad you agree.

> But as we all know, bugs are phenomena in software engineering, that can occur due to human nature of programmers. Nobody's perfect thus no human work is ever perfect. I'm very sure there are good reasons for the delay.

Absolutely, and I don't mean to take away from the engineers working on it either. It's just embarrassing - Windows users would never have to deal with this, for instance. PopOS pushed a fix pretty quickly, so you can see that there are Ubuntu flavors who are actively managing themselves better than Canonical is managing the main distro.

> My guess is simply there's not enough manpower in regard to the severity of the mutter bug. Software engineering is a very time consuming task and good code doesn't come from heaven.

Yes, I'm understanding of this. It's just usually you can hold Ubuntu to a pretty high standard, and I echoed others' sentiments that this is taking longer than it could to fix.

> If you are skilled enough to contribute code, why don't you help but instead complain?

I probably WILL dedicate time to this, but the bug has an assignee and I am not sure if I would be re-doing redundant work that is already done. This issue makes it pretty clear that we have some organizational issues as far as maintaining Ubuntu Desktop goes (incl. pre-release testing), and this 1999-style bug ticket system probably doesn't help these issues get addressed or triaged any better.

summary: - Shell text is too small in mutter 3.36.4-0ubuntu0.20.04.2
+ Shell text is too small in mutter 3.36.4-0ubuntu0.20.04.2 (mostly on
+ Nvidia)
tags: added: rls-ff-incoming
tags: removed: rls-ff-incoming
Changed in mutter (Ubuntu):
status: Confirmed → In Progress
Changed in mutter (Ubuntu Focal):
status: Confirmed → In Progress
Changed in mutter (Ubuntu Groovy):
status: In Progress → Fix Committed
tags: added: fixed-in-3.38.1 fixed-upstream
summary: - Shell text is too small in mutter 3.36.4-0ubuntu0.20.04.2 (mostly on
- Nvidia)
+ Shell text is the wrong size in mutter 3.36.4-0ubuntu0.20.04.2 (mostly
+ on Nvidia)
summary: - Shell text is the wrong size in mutter 3.36.4-0ubuntu0.20.04.2 (mostly
- on Nvidia)
+ Shell text with wrong size in mutter 3.36.4-0ubuntu0.20.04.2 (mostly on
+ Nvidia)
description: updated
21 comments hidden view all 101 comments
Revision history for this message
Adrian Barbuio (oiubrab) wrote :

@Marco thank you for your post regarding the test packages (comment #50). This has almost solved the problem for me. I still get enlarged text at the decryption password screen. Not a problem for me, but maybe the information will help you guys.

Revision history for this message
Marco Giannini (marco-giannini) wrote :

The patch seems to work fine on Ubuntu 20.10 too.

Revision history for this message
Brian Murray (brian-murray) wrote : Please test proposed package

Hello Cristiano, or anyone else affected,

Accepted mutter into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mutter/3.36.6-1ubuntu0.20.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in mutter (Ubuntu Focal):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-focal
Revision history for this message
Cristiano Fraga G. Nunes (cfgnunes) wrote :

Thanks, Brian.

I'll test the new package coming soon.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mutter - 3.38.0-1ubuntu1

---------------
mutter (3.38.0-1ubuntu1) groovy; urgency=medium

  * Merge with debian, including new upstream stable release, remaining changes:
    - debian/gbp.conf: update upstream branch to point to ubuntu/master
    - debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      + X11: Add support for fractional scaling using Randr
  * d/p/x11-Add-support-for-fractional-scaling-using-Randr.patch:
    - Refresh as per upstream changes
    - Don't update UI scale factor on xrandr-manager creation.
      This would trigger settings initializations that are supposed to happen
      after the clutter-x11 backend has been initialized, leading to saving
      too early the cached font-dpi scaling, and then making clutter backend
      to set a new (wrong) one. (LP: #1892440)
  * d/p/clutter-backend-x11-Don-t-set-the-font-dpi-computed-on-X1.patch:
    - Don't set the font-dpi on clutter-backend-x11 (LP: #1892440)

mutter (3.38.0-1) experimental; urgency=medium

  * New upstream release:
    - screencast: Only use DMA buffers for i915
    - Fixed crashes
  * debian/patches: Refresh
  * d/p/input-mapper-Don-t-match-touchscreens-to-the-absence-of-a.patch:
    - Dropped, applied upstream

mutter (3.37.92-2) experimental; urgency=medium

  * Team upload
  * d/p/input-mapper-Don-t-match-touchscreens-to-the-absence-of-a.patch:
    Add patch to work around a crash with gnome-remote-desktop

mutter (3.37.92-1) experimental; urgency=medium

  * Team upload
  * New upstream release
    - Fix stale cursor positions in remote desktop sessions
    - xwayland: Add a setting to disable selected X extensions
    - Fix screencasting when using QXL
    - Cull actors that don't intersect with the redraw clip
    - Optimize painting of backgrounds when culling is unavailable
    - Improve support for Hangul input method
    - Support debug paint overlay for opaque regions
    - Fix launching flatpak applications when autostarting Xwayland
    - Add support for capture scanouts in screencasts
    - Allow integrated tablet devices to cycle outputs
    - Improve mapping input devices to the most relevant output
    - Only enable auto-rotation in touch mode
    - Fix various crashes
  * d/control.in: Update libgbm build-dependency
  * d/copyright: Update
  * d/control.in, d/rules: Enable Pipewire on Debian (but not Ubuntu).
    Now that we have Pipewire 0.3 in experimental, we can enable
    screencasting and remote desktop support.
  * debian/libmutter-7-0.symbols: Update

 -- Marco Trevisan (Treviño) <email address hidden> Wed, 16 Sep 2020 14:06:53 +0200

Changed in mutter (Ubuntu Groovy):
status: Fix Committed → Fix Released
Revision history for this message
Nikon the Third (christian-berrer) wrote :

I installed mutter 3.36.6-1ubuntu0.20.04.1 from the focal/proposed repository and can confirm that the bug is fixed for me.

The font is no longer too small. Thank you.

Revision history for this message
schollsky (schollsky) wrote :

Update to mutter 3.36.1-1ubuntu0.20.04.1 in focal/proposed also fixed the bug for AMD.

Good work, thanks and cheers! :-)

tags: added: verification-done verification-done-focal
removed: verification-needed verification-needed-focal
Revision history for this message
Sujit Kumar (therealsujitk) wrote :

I can confirm this bug is fixed when I updated mutter to 3.36.1-1ubuntu0.20.04.1. Using NVIDIA Graphics card.

Revision history for this message
Cristiano Fraga G. Nunes (cfgnunes) wrote :

The bug is fixed when I updated mutter to 3.36.1-1ubuntu0.20.04.1.

BUT!!!!

After an "Automatic Screen Lock", the display turned off, the Gnome Shell crash and show us a blank screen with the message "Oh no! Something has gone wrong."

This bug did not appears before the update.

I have a NVIDIA card. I think that this problem occurs only with NVIDIA users.

I have other PC (without a NVIDIA card) and the problem not occurs.

Revision history for this message
Marco Trevisan (Treviño) (3v1n0) wrote :

@ Cristiano,

please fill another bug for that :)

Revision history for this message
Cristiano Fraga G. Nunes (cfgnunes) wrote :

@ Marco Trevisan,

I'll do that.

Anyway, thanks for the fix. ;)

Revision history for this message
Cristiano Fraga G. Nunes (cfgnunes) wrote :

@ Marco Trevisan,

After I power down my display and power up again (in the lock screen), the problem is:

gnome-shell[3407]: mutter:ERROR:../src/backends/x11/meta-monitor-manager-xrandr.c:211:meta_monitor_manager_xrandr_update_screen_size: assertion failed: (width > 0 && height > 0 && scale > 0)

gnome-shell[3407]: Bail out! mutter:ERROR:../src/backends/x11/meta-monitor-manager-xrandr.c:211:meta_monitor_manager_xrandr_update_screen_size: assertion failed: (width > 0 && height > 0 && scale > 0)

Revision history for this message
Cristiano Fraga G. Nunes (cfgnunes) wrote :
Revision history for this message
Brian Murray (brian-murray) wrote :

Hello Cristiano, or anyone else affected,

Accepted mutter into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mutter/3.36.6-1ubuntu0.20.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

tags: added: verification-needed verification-needed-focal
removed: verification-done verification-done-focal
Revision history for this message
Cristiano Fraga G. Nunes (cfgnunes) wrote :

Hi, Brian and Marco,

I've tested the mutter 3.36.6-1ubuntu0.20.04.2 (from "focal-proposed" repository).

Now, all works fine! Without problems.
Thanks for your attention and work! :)

tags: added: verification-done verification-done-focal
removed: verification-needed verification-needed-focal
Revision history for this message
Tim Cooper (timjoncooper) wrote :

Tested again from focal-proposed (mutter 3.36.6-1ubuntu0.20.04.2). Can confirm it still fixes the problem! (Intel HD Graphics).

Revision history for this message
Juan Avila (jstlavila) wrote : RE: [Bug 1892440] Re: Shell text with wrong size in mutter 3.36.4-0ubuntu0.20.04.2 (mostly on Nvidia)

Hi all,I just did a fresh install of Ubuntu 20.04 and I had the bug of wrong size text in mutter until I switched from GDM 3 to lightdm. No more problems with text size anymore using lightdm.Envoyé depuis mon téléphone intelligent Samsung Galaxy.
-------- Message d'origine --------De : Tim Cooper <email address hidden> Date : 20-09-24 01 h 50 (GMT-05:00) À : <email address hidden> Objet : [Bug 1892440] Re: Shell text with wrong size in mutter 3.36.4-0ubuntu0.20.04.2 (mostly on Nvidia) Tested again from focal-proposed (mutter 3.36.6-1ubuntu0.20.04.2). Canconfirm it still fixes the problem! (Intel HD Graphics).-- You received this bug notification because you are subscribed to aduplicate bug report (1893792).https://bugs.launchpad.net/bugs/1892440Title:  Shell text with wrong size in mutter 3.36.4-0ubuntu0.20.04.2 (mostly  on Nvidia)Status in mutter package in Ubuntu:  Fix ReleasedStatus in mutter source package in Focal:  Fix CommittedStatus in mutter source package in Groovy:  Fix ReleasedBug description:  [ Impact ]  GNOME Shell starts with a wrong text size    [ Test case ]  In a terminal run:    - Xephyr :2  In another one:    - env DISPLAY=:2 dbus-run-session gnome-shell --x11  The shell should run in the embedded window, with the correct text  size, running it again (without closing Xephyr window, but stopping  the shell execution) should not bigger than expected.  -- Other test case (hw dependant)  - Login, ensure that the Shell text size matches the configured one.    [ Regression potential ]  Initial UI scaling when fractional scaling is enabled is wrong.    [ Workaround ]  Run on startup:   - gsettings set org.gnome.desktop.interface scaling-factor \       $(gsettings get org.gnome.desktop.interface scaling-factor | cut -d' ' -f2)    ---  See also bug 1892521.  The package mutter version (3.36.4-0ubuntu0.20.04.2) for Ubuntu 20.04  causes small text in GNOME Shell menu with  NVIDIA cards.  With a previous version (3.36.4-0ubuntu0.20.04.1) all works fine. The problem is after update to the (3.36.4-0ubuntu0.20.04.2).  ---  ProblemType: Bug  ApportVersion: 2.20.11-0ubuntu27.8  Architecture: amd64  CasperMD5CheckResult: skip  CurrentDesktop: ubuntu:GNOMEDistroRelease: Ubuntu 20.04  InstallationDate: Installed on 2020-08-18 (2 days ago)  InstallationMedia: Ubuntu 20.04.1 2020.08.15 LTS "Custom Focal Fossa" (20200815)  NonfreeKernelModules: nvidia_modeset nvidia  Package: mutter 3.36.4-0ubuntu0.20.04.2  PackageArchitecture: amd64  ProcVersionSignature: Ubuntu 5.4.0-42.46-generic 5.4.44  Tags:  focal  Uname: Linux 5.4.0-42-generic x86_64  UpgradeStatus: No upgrade log present (probably fresh install)  UserGroups: adm cdrom dip lpadmin lxd plugdev sambashare sudo  _MarkForUpload: True  modified.conffile..etc.default.apport:   # set this to 0 to disable apport, or to 1 to enable it   # you can temporarily override this with   # sudo service apport start force_start=1   enabled=0  mtime.conffile..etc.default.apport: 2020-08-15T17:44:36To manage notifications about this bug go to:https://bugs.launchpad.net/ubuntu/+source/mutter/+bug/1892440/+subscriptions

Revision history for this message
sudodus (nio-wiklund) wrote :

I tested the current daily Ubuntu Desktop Focal iso file (with a persistent live system), and fractional scaling works with a 4k monitor, where is used to fail. So I see a big improvement :-)

Revision history for this message
Bin Li (binli) wrote :

I tested the ThinkPad (Nvidia Graphics), after upgrading libmutter-6-0, gir1.2-mutter-6, mutter and mutter-common in proposed, this issue is gone. Thanks!

raphaelisk (raphaelisk)
Changed in mutter (Ubuntu Focal):
status: Fix Committed → Fix Released
Changed in mutter (Ubuntu Focal):
status: Fix Released → Fix Committed
Revision history for this message
Cristiano Fraga G. Nunes (cfgnunes) wrote :

The updated package will be released to "-updates" after the bug fixed have been verified and the package has been in "-proposed" for a minimum of 7 days.

In this case, the status is: "Fix Committed" (not "Fix Released").

Revision history for this message
Alex - WarumLinuxBesserIst - (wlbi) wrote :

@Chistiano Nunes
right, I updated and installed it, but but everything like before. So I installed the "temporarily as a workaround" from above again.

sudo apt install libmutter-6-0=3.36.1-3ubuntu3 gir1.2-mutter-6=3.36.1-3ubuntu3
sudo apt-mark hold libmutter-6-0

Revision history for this message
sdk345 (sdk345) wrote :

I would like to update that my status update from fix committed to fix released was caused by an accident, and thus should be disregarded

Sorry in advance for any confusion caused

Changed in mutter (Ubuntu Focal):
status: Fix Committed → Fix Released
Changed in mutter (Ubuntu Focal):
status: Fix Released → Fix Committed
Revision history for this message
Juan Avila (jstlavila) wrote :
Download full text (3.2 KiB)

It's not working for me using nvidia graphic card. The only way to work around is to use lightdm instead of gdm3, but I can't login automatically.
I started using Ubuntu budgie in dual boot until the bug is fixed.
I tried Kubuntu and the bug is also in Kubuntu.

Envoyé de Mailspring (https://<email address hidden>/0?redirect=https%3A%2F%2Fgetmailspring.com%2F&recipient=MTg5MjQ0MEBidWdzLmxhdW5jaHBhZC5uZXQ%3D), la meilleure application de messagerie gratuite pour le travail
On sept. 23 2020, at 10:51 am, Sujit Kumar <email address hidden> wrote:
> I can confirm this bug is fixed when I updated mutter to
> 3.36.1-1ubuntu0.20.04.1. Using NVIDIA Graphics card.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1893792).
> https://bugs.launchpad.net/bugs/1892440
>
> Title:
> Shell text with wrong size in mutter 3.36.4-0ubuntu0.20.04.2 (mostly
> on Nvidia)
>
> Status in mutter package in Ubuntu:
> Fix Released
> Status in mutter source package in Focal:
> Fix Committed
> Status in mutter source package in Groovy:
> Fix Released
>
> Bug description:
> [ Impact ]
>
> GNOME Shell starts with a wrong text size
>
> [ Test case ]
> In a terminal run:
> - Xephyr :2
>
> In another one:
> - env DISPLAY=:2 dbus-run-session gnome-shell --x11
>
> The shell should run in the embedded window, with the correct text
> size, running it again (without closing Xephyr window, but stopping
> the shell execution) should not bigger than expected.
>
> -- Other test case (hw dependant)
> - Login, ensure that the Shell text size matches the configured one.
>
> [ Regression potential ]
> Initial UI scaling when fractional scaling is enabled is wrong.
>
> [ Workaround ]
> Run on startup:
> - gsettings set org.gnome.desktop.interface scaling-factor \
> $(gsettings get org.gnome.desktop.interface scaling-factor | cut -d' ' -f2)
>
>
> ---
> See also bug 1892521.
> The package mutter version (3.36.4-0ubuntu0.20.04.2) for Ubuntu 20.04
> causes small text in GNOME Shell menu with NVIDIA cards.
>
> With a previous version (3.36.4-0ubuntu0.20.04.1) all works fine. The problem is after update to the (3.36.4-0ubuntu0.20.04.2).
> ---
> ProblemType: Bug
> ApportVersion: 2.20.11-0ubuntu27.8
> Architecture: amd64
> CasperMD5CheckResult: skip
> CurrentDesktop: ubuntu:GNOMEDistroRelease: Ubuntu 20.04
> InstallationDate: Installed on 2020-08-18 (2 days ago)
> InstallationMedia: Ubuntu 20.04.1 2020.08.15 LTS "Custom Focal Fossa" (20200815)
> NonfreeKernelModules: nvidia_modeset nvidia
> Package: mutter 3.36.4-0ubuntu0.20.04.2
> PackageArchitecture: amd64
> ProcVersionSignature: Ubuntu 5.4.0-42.46-generic 5.4.44
> Tags: focal
> Uname: Linux 5.4.0-42-generic x86_64
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups: adm cdrom dip lpadmin lxd plugdev sambashare sudo
> _MarkForUpload: True
> modified.conffile..etc.default.apport:
> # set this to 0 to disable apport, or to 1 to enable it
> # you can temporarily override this with
> # sudo service apport start force_start=1
> enabled=0
> mtime.conffile..etc.default.apport: 2020-08-15T17:44:36
>
> To manage noti...

Read more...

Revision history for this message
Cristiano Fraga G. Nunes (cfgnunes) wrote :

7 days have passed. I'm waiting the package be released to "-updates". LoL

Revision history for this message
Dave Goldsbrough (daveg-k) wrote :

I have raised a bug with LibreOffice which I believe may be related.

https://bugs.documentfoundation.org/show_bug.cgi?id=137142

To summarise, with a scaling factor of 1.25 and GNOME Desktop Environment Universal Access accessibility Large Print set to on I am unable to see fully the LibreOffice Print dialogue.

Setting Large Print to off cures the problem BUT my low vision means I really need to squint.

Setting the scaling factor to 1.0 also succeeds but rather bizarrely also automatically switches off GNOME Desktop Environment Universal Access accessibility Large Print.

Is all this related? And will the forthcoming fix correct everything including the LibreOffice and Universal Access accessibility Large Print?

Revision history for this message
Adrian Barbuio (oiubrab) wrote :

Okay, ever since I installed this bug fix, my mouse has been playing up. First, dragging and dropping across windows exhibited errant behaviour, such as dropping the dragging item in between box borders. Now, every once in a while, my mouse's primary buttons switch. The original issue has been resolved but this new issue is a little bit more problematic. I am using Ubuntu 20.04 with @cristiano patch

Revision history for this message
Sujit Kumar (therealsujitk) wrote :

I just reinstalled Ubuntu 20.04.1 on my laptop and changed the graphics driver to "NVIDIA driver metapackage from nvidia-driver-450 (proprietary, tested)" and it seems to have fixed this small text issue (and also the corrupted background bug). Can someone tell me the difference between this metapackage and the "NVIDIA binary driver - version 340.108 from nvidia-340 (proprietary)"?

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

Which Nvidia driver you use probably isn't very important here. I suggest we don't start a new conversation about that. This is a bug in the 'mutter' package.

Revision history for this message
Emmett Keyser (ekeyser) wrote :

Maybe I missed this but does anyone know when this fix is going to be released for focal?

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

Looks like the update is stuck waiting for someone to verify bug 1558886.

Revision history for this message
Cristiano Fraga G. Nunes (cfgnunes) wrote :

Hi, @vanvugt.

The bug 1558886 is a bit complicated to reproduce. I also have tried some times.

In this case, it would be possible to mark the bug 1558886 as "opened until validation" and commit the fix for this current bug 1892440 to the "-updates"?

Because, if we wait someone validate the bug 1558886, it may be that this fix is stuck forever.

Revision history for this message
Emmett Keyser (ekeyser) wrote :

A bug from more than 4 years ago is blocking this bug reported less than 2 months ago? Wow. Fascinating.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mutter - 3.36.6-1ubuntu0.20.04.2

---------------
mutter (3.36.6-1ubuntu0.20.04.2) focal; urgency=medium

  * xrandr-scaling: Never try to set invalid screen sizes (again!)
    Looks like this change (introduced to fix LP:1889090) got lost while
    rebasing previous fixes, gbp has been a bad guy this time! (LP: #1896818)

mutter (3.36.6-1ubuntu0.20.04.1) focal; urgency=medium

  * Merge with debian, containing new stable release (LP: #1896332)
  * debian/patches:
    - Refresh patches and drop applied ones
    - Don't set the font-dpi on clutter-backend-x11 (LP: #1892440)
    - Cherry-pick upstream night-switch fixes for 3.36 branch
    - Cherry-pick upstream fixes for handling X11 devices removal
      (LP: #1558886)
  * xrandr-scaling: Don't update UI scale factor on xrandr-manager creation
    (LP: #1892440)
  * debian/control: Revert pipewire version bumping
  * Remaining changes with debian:
    - debian/control:
      + Update VCS flags to point to ubuntu salsa branch
    - debian/gbp.conf: update branch to point to ubuntu/master
    - debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      + X11: Add support for fractional scaling using Randr

mutter (3.36.6-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update symbols file
  * d/control.in, d/rules: Enable Pipewire on Debian (but not Ubuntu).
    Now that we have Pipewire 0.3, we can enable screencasting and remote
    desktop support again.

mutter (3.36.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Screencast fixes and improvements
    - Fix glitches when subsurfaces extend outside the toplevel
    - Improve background display in overview workspace switcher
    - Fix wine copy & paste
    - Plug memory leaks
  * Drop patches that were applied upstream

mutter (3.36.4-1) unstable; urgency=medium

  * New upstream stable release (LP: #1887998)
    - Fix crash on area screenshots with fractional scaling
    - Do not paint textures of fully obscured windows
    - Turn off CRTCs as well when enabling DPMS
    - Improve selection support
    - Use a more appropriate combine function on opaque areas
    - Fix remote desktop being broken without screencast session
    - Fix popovers disappearing on wayland and HiDPI
    - Fixed crashes (LP: #1870867, LP: #1857947)
    - Plugged memory leaks
  * d/p/screen-cast-Let-the-reason-for-recording-determine-what-t.patch,
    d/p/screen-cast-src-Add-flag-to-maybe_record.patch,
    d/p/screen-cast-src-Fix-signedness-of-timestamp-field.patch,
    d/p/screen-cast-src-Make-record-functions-return-an-error-whe.patch,
    d/p/screen-cast-src-Make-the-two-record-vfuncs-more-similarly.patch,
    d/p/screen-cast-src-Record-follow-up-frame-after-timeout.patch,
    d/p/screen-cast-src-Remove-follow-up-timeout-source-on-disabl.patch,
    d/p/screen-cast-src-Use-G_USEC_PER_SEC-instead-of-1000000.patch,
    d/p/screen-cast-window-stream-src-Fix-indentation.patch:
    - Import more fixes for screencasting and remote desktop

 -- Marco Trevisan (Treviño) <email address hidden> Wed, 23 Sep 2020 22:03:53 +0200

Changed in mutter (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Brian Murray (brian-murray) wrote : Update Released

The verification of the Stable Release Update for mutter has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Revision history for this message
Emmett Keyser (ekeyser) wrote :

FWIW this fixed the issue for me.

Revision history for this message
Dave Goldsbrough (daveg-k) wrote :

Just reporting this fix has NOT fixed the Libre Office Print Dialoge Box issue mentioned in comment #86

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

Please open a new bug about that, using a command like:

  ubuntu-bug libreoffice-core

Revision history for this message
Dave Goldsbrough (daveg-k) wrote :
Revision history for this message
Bob Harper (bobharper-g) wrote :

I don't know what mutter is or if it's responsible but since automatic update of 20.04 on Thursday, I believe, at the next bootup the screen has a black border around the usual screen display, i.e. shrunken desktop. NVideo card used. Search sent me here but for font size issues. Please keep me informed if this is your doing and how to fix it.
Nothing seems to fix it but the Phillips Monitor is full screen when it comes on with Phillips banner so I suggest it is being done inside the box!

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

This bug is closed. If you experience any problems at all still then please open a new bug by running:

  ubuntu-bug mutter

Displaying first 40 and last 40 comments. View all 101 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.